Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000859 [SkyOS 5.0 - Beta] major always 2005-04-05 14:37 2006-03-06 16:07
Reporter adamk View Status public  
Assigned To robert
Priority normal Resolution fixed  
Status resolved  
Summary 0000859: Blender input is broken...
Description
Neither the mousewheel works (for zooming in and out), nor do many/most/all of the keybindings (F1, for example, should bring up the open file dialog, tab should switch from object mode to edit mode and back, control o should prompt to open the last file, etc.) Given the dependency on keyboard input for Blender, it makes Blender pretty much useless.

Additional Information
Tags No tags attached.
Environment
Reported for build
Fixed in build
VersionType
Attached Files

- Relationships

-  Notes
(0001401)
adamk (reporter)
2006-03-05 17:38

I just tried blender again with the latest snapshot. There are still input problems present. F12, for example, doesn't render the image. The right mouse button doesn't select the item being clicked on (for example, you should be able to right click on the camera to select it and manipulate it). Hitting a number on the numpad is supposed to change the POV, but doesn't.
(0001419)
robert (administrator)
2006-03-06 15:06

Could it be possible that middle/right mouse button is swapped? I can select an item with the middle mouse button
(0001420)
robert (administrator)
2006-03-06 15:08
edited on: 2006-03-06 16:06

Middle/Right mouse button fixed, Keypad fixed, F12/F11 support added


- Issue History
Date Modified Username Field Change
2005-04-05 14:37 adamk New Issue
2005-04-06 13:04 robert Status new => resolved
2005-04-06 13:04 robert Resolution open => fixed
2005-04-06 13:04 robert Assigned To => robert
2006-03-05 17:38 adamk Status resolved => feedback
2006-03-05 17:38 adamk Resolution fixed => reopened
2006-03-05 17:38 adamk Note Added: 0001401
2006-03-06 15:06 robert Note Added: 0001419
2006-03-06 15:08 robert Note Added: 0001420
2006-03-06 15:27 robert Note Edited: 0001420
2006-03-06 16:06 robert Note Edited: 0001420
2006-03-06 16:07 robert Status feedback => resolved
2006-03-06 16:07 robert Resolution reopened => fixed


Mantis 1.1.4[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker